Skip to content
Primary navigation

List project groups

GET/organization/projects/{project_id}/groups

Lists the groups that have access to a project.

Path ParametersExpand Collapse
project_id: string
Query ParametersExpand Collapse
after: optional string

Cursor for pagination. Provide the ID of the last group from the previous response to fetch the next page.

limit: optional number

A limit on the number of project groups to return. Defaults to 20.

minimum0
maximum100
order: optional "asc" or "desc"

Sort order for the returned groups.

Accepts one of the following:
"asc"
"desc"
ReturnsExpand Collapse
data: array of object { created_at, group_id, group_name, 2 more }

Project group memberships returned in the current page.

created_at: number

Unix timestamp (in seconds) when the group was granted project access.

formatint64
group_id: string

Identifier of the group that has access to the project.

group_name: string

Display name of the group.

object: "project.group"

Always project.group.

project_id: string

Identifier of the project.

has_more: boolean

Whether additional project group memberships are available.

object: "list"

Always list.

List project groups

curl https://api.openai.com/v1/organization/projects/proj_abc123/groups?limit=20 \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
    "object": "list",
    "data": [
        {
            "object": "project.group",
            "project_id": "proj_abc123",
            "group_id": "group_01J1F8ABCDXYZ",
            "group_name": "Support Team",
            "created_at": 1711471533
        }
    ],
    "has_more": false,
    "next": null
}
Returns Examples
{
    "object": "list",
    "data": [
        {
            "object": "project.group",
            "project_id": "proj_abc123",
            "group_id": "group_01J1F8ABCDXYZ",
            "group_name": "Support Team",
            "created_at": 1711471533
        }
    ],
    "has_more": false,
    "next": null
}